- nom: Un seul produit
  entrée: |
    A100
    Abri
    300
    non

  sortie: |
    La moyenne des prix est 300.0 $
    Le(s) code(s) du produit le plus cher : A100
    Le(s) code(s) du produit le moins cher : A100

- nom: Trois produits
  entrée: |
    A100
    Abri
    300
    oui
    B20
    Barre
    400
    oui
    C12
    Clochette
    260
    non
  sortie: |
    La moyenne des prix est 320.0 $
    Le(s) code(s) du produit le plus cher : B20
    Le(s) code(s) du produit le moins cher : C12


- nom: Quatre produits
  entrée: |
    A100
    Abri
    300
    oui
    B20
    Barre
    400
    oui
    C12
    Clochette
    260
    oui
    P45
    Porte
    260
    non
  sortie: |
    La moyenne des prix est 305.0 $
    Le(s) code(s) du produit le plus cher : B20
    Le(s) code(s) du produit le moins cher : C12 , P45

- nom: Cinq produits
  entrée: |
    A100
    Abri
    300
    oui
    B20
    Barre
    400
    oui
    C12
    Clochette
    260
    oui
    P45
    Porte
    260
    oui
    P44
    Porte
    400
    non
  sortie: |
    La moyenne des prix est 324.0 $
    Le(s) code(s) du produit le plus cher : B20 , P44
    Le(s) code(s) du produit le moins cher : C12 , P45
    